Summary: Connects C/C++/Objective C to some high-level programming languages.
Name: swig
Version: 1.3.40
Release: 1
License: BSD
Group: Development/Tools
URL: http://swig.sourceforge.net/
Source0: http://downloads.sourceforge.net/project/swig/swig/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0: %{name}-1.3.23-pylib.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl, python-devel
BuildRequires: tcl-devel
BuildRequires: gawk, patch
BuildRequires: zlib-devel >= 1.2.3
Requires: zlib >= 1.2.3

%description
Simplified Wrapper and Interface Generator (SWIG) is a software
development tool for connecting C, C++ and Objective C programs with a
variety of high-level programming languages.  SWIG is primarily used
with Perl, Python and Tcl/TK, but it has also been extended to Java,
Eiffel and Guile.  SWIG is normally used to create high-level
interpreted programming environments, systems integration, and as a
tool for building user interfaces.


%package doc
Summary: Documentation files for SWIG
License: BSD
Group: Development/Tools

%description doc
This package contains documentation for SWIG and useful examples.


%prep
%setup -q -n %{name}-%{version}
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .pylib


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --with-x \
    --with-tclconfig=%{_libdir} \
    --with-python=/usr/bin/python \
    --with-perl5=%{_bindir}/perl \
    --with-lua=%{_bindir}/lua

make %{?_smp_mflags}


%install
# Remove all arch independent files in Examples/
find Examples -name Makefile.in -exec rm {} \;

make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
/usr/bin/*


%files doc
%doc ANNOUNCE CHANGES FUTURE INSTALL LICENSE NEW README TODO
%doc Doc Examples


%changelog
* Wed Nov 11 2009 Michael Perzl <michael@perzl.org> - 1.3.40-1
- first version for AIX V5.1 and higher
